<style>
  @media print {
    .table,.btn{display: none;}

    
    #oxigeno {
        min-height: 100%;
        max-width: 500PX;
        max-height: 500PX;
        height: auto!important;
        width: auto!important;
    }

    #temperatura {
        min-height: 100%;
        max-width: 500PX;
        max-height: 500PX;
        height: auto!important;
        width: auto!important;
    }


    #presion {
        min-height: 100%;
        max-width: 500PX;
        max-height: 500PX;
        height: auto!important;
        width: auto!important;
    }
}

</style>

<div class="mb-1 d-flex justify-content-end">
  <button class="btn btn-outline-primary me-3" routerLink="/pacientes/ver-paciente/{{paciente.id}}"><i class="bi bi-arrow-left-circle"></i> Volver</button>
</div>

<div class="row">
  <h2>{{paciente.nombre}} {{paciente.apellido}}</h2>
  <div class="col-12">

    <div class="card">  <div class="card-body">
    <form  
    name="form" 
     #f="ngForm" 
     novalidate  (ngSubmit)="onSubmit()">
 
  
     <p>
       <label>Fecha Desde:</label>
       <input type="date" name="desde" [(ngModel)]="form.desde"  #desde="ngModel" required class="form-control" max="{{hoy}}">
     </p>
  
     <p>
       <label>Fecha Hasta:</label>
       <input type="date" name="hasta" [(ngModel)]="form.hasta"  #hasta="ngModel"  required class="form-control" max="{{hoy}}">
     </p>
  
  
  
  <p>
     <input type="submit"class="btn btn-primary" value="Buscar"/>
  
    </p>
  
     </form>
    </div>
    </div>

    <div class="card">
      <div class="card-body">
        <h4 class="card-title">Historial de salud</h4>
        <div class="table-responsive" *ngIf="datosSalud.length > 0; else noHayDatos">
          <table class="table align-middle text-nowrap">
            <thead>
              <tr>
                <th class="text-dark font-medium fs-4">Fecha</th>
                <th class="text-dark font-medium fs-4">Hora</th>
                <th class="text-dark font-medium fs-4">Presión</th>
                <th class="text-dark font-medium fs-4">Temperatura</th>
                <th class="text-dark font-medium fs-4">Oxígeno</th>
                <th class="text-dark font-medium fs-4"></th>
              </tr>
            </thead>
            <tbody *ngFor="let dato of datosSalud">
              <tr>
                <td>{{dato.fecha | date: 'dd/MM/yyyy'}}</td>
                <td>{{dato.hora}}</td>
                <td>{{dato.presionsistolica}}/{{dato.presiondiastolica}}mm Hg</td>
                <td>{{dato.temperatura}}°</td>
                <td>{{dato.oxigeno}}%</td>
                <td><button class="btn" routerLink="/datos-salud/editar-datos-salud/{{dato.id}}"><i class="bi bi-pencil-square"></i></button></td>
              </tr>
            </tbody>
          </table>
        </div>

        <ng-template #noHayDatos>
          <div class="alert alert-warning" role="alert">
            El paciente no tiene datos de salud registrados.
          </div>
        </ng-template>

        <div class="d-flex justify-content-center">

          <div>
            <a routerLink="/datos-salud/cargar-datos-salud/{{paciente.id}}" class="btn btn-primary">Agregar Datos de
              Salud</a>
          </div>
        </div>

      </div>
    </div>

    <ng-template #hayDatos>
  <div class="row" style="    margin-bottom: 1em;    text-align: right;">
  <div class="col-12">
    <input type="button" class="btn btn-outline-primary" 
    (click)="exportar('printpresion')" value="Imprimir Graficos" />

  </div>
</div>
</ng-template>


    <div class="row">
       <div class="col-12">
        <div class="card">
          <div class="card-body">
    <canvas id="oxigeno">{{ chart }}</canvas>   
  </div>

  <div class="card-body">
    <canvas id="temperatura">{{ chart2 }}</canvas> 
  </div>



  <div class="card-body" id="printpresion">


    <canvas id="presion">{{ chart3 }}</canvas>  
  </div> 
        </div>
      </div>
    </div>

 


  </div>